Subject: bug#27243: another case: dired-auto-revert-buffer jumps point to beginning of buffer

From: Michael Heerdegen <[email-masked]>
Date: Tue, 26 May 2020 01:36:55 +0200

Stephen Berman <[email-masked]> writes:

> If Emacs behaves as you described, the result in step 5 should have been
> 890, or have I misunderstood you?

Hmm indeed, it doesn't seem to happen with emacs -Q.  Sorry, I didn't
expect that, it was late when I wrote that message.

I spent several hours to debug this issue with my setup.  It behaves
like a Heisenbug.  I cannot reliably reproduce, so I can't just bisect
my setup.  And whenever I thought I have a way to debug...it's gone.
Debugging is hard anyway, since AFAICT redisplay plays a certain role.

I only know that when reverting your patch, the problem is gone as well
(I guess quantum Emacs counts this as a debugging attempt).

I've no idea how to make progress, so feel free to ignore, since the
issue is not hard to avoid for me by rebinding RET in dired.

Michael.